[Bug 740815]

Chris Coulson chris.coulson at canonical.com
Thu Mar 24 19:07:23 UTC 2011


I've actually packaged this in Ubuntu now, but I hit a couple of
unexpected issues:

1) js-config --libs doesn't return the right linker flags (-lmozjs)

2) Even though it builds an ABI versioned so, the soname of the
resulting ELF binary is still unversioned (ie, libmozjs185.so rather
than libmozjs185.so.1.0). This would mean we couldn't support multiple
ABI's, which would make it difficult to do an ABI transition in the
future.

I have patches for both of these problems, although the patch for 2) is
a bit hacky.

-- 
You received this bug notification because you are a member of Mozilla
Bugs, which is subscribed to Mozilla.
https://bugs.launchpad.net/bugs/740815

Title:
  [FFe] Updates to enable us to drop xulrunner from main




More information about the Ubuntu-mozillateam-bugs mailing list